import type { ConfigManager } from '../modules/config/ConfigManager.js';
declare const router: import("express-serve-static-core").Router;
export declare function setConfigManager(manager: ConfigManager): void;
export declare function setupSettingsRoutes(manager: ConfigManager): import("express-serve-static-core").Router;
export default router;
